libgphoto2 photo camera library (libgphoto2) API: Data Fields

libgphoto2 photo camera library (libgphoto2) API 2.5.34

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- about : _CameraFunctions
- access : _CameraStorageInformation
- altsetting : _GPPortSettingsUSB

### - b -

- basedir : _CameraStorageInformation
- bits : _GPPortSettingsSerial

### - c -

- capacitykbytes : _CameraStorageInformation
- capture : _CameraFunctions
- capture_preview : _CameraFunctions
- config : _GPPortSettingsUSB

### - d -

- data : LogFunc
- description : _CameraStorageInformation
- device_type : CameraAbilities

### - e -

- error : _GPPortPrivateCore
- exit : _CameraFunctions

### - f -

- fields : _CameraFileInfoAudio, _CameraFileInfoFile, _CameraFileInfoPreview, _CameraStorageInformation
- file_operations : CameraAbilities
- folder : CameraFilePath
- folder_operations : CameraAbilities
- freeimages : _CameraStorageInformation
- freekbytes : _CameraStorageInformation
- fstype : _CameraStorageInformation
- func : LogFunc

### - g -

- get_config : _CameraFunctions
- get_single_config : _CameraFunctions

### - h -

- height : _CameraFileInfoFile, _CameraFileInfoPreview

### - i -

- id : CameraAbilities, LogFunc
- inep : _GPPortSettingsUSB
- info : _GPPortPrivateCore
- intep : _GPPortSettingsUSB
- interface : _GPPortSettingsUSB

### - l -

- label : _CameraStorageInformation
- level : LogFunc
- lh : _GPPortPrivateCore
- library : CameraAbilities
- library_filename : _GPPortInfo
- list_config : _CameraFunctions

### - m -

- manual : _CameraFunctions
- maxpacketsize : _GPPortSettingsUSB
- model : CameraAbilities
- mtime : _CameraFileInfoFile

### - n -

- name : _GPPortInfo, CameraFilePath

### - o -

- operations : CameraAbilities
- ops : _GPPortPrivateCore
- outep : _GPPortSettingsUSB

### - p -

- parity : _GPPortSettingsSerial
- path : _GPPortInfo, _GPPortSettingsUsbDiskDirect, _GPPortSettingsUsbScsi
- pc : _Camera, _GPPort
- permissions : _CameraFileInfoFile
- pl : _Camera, _GPPort
- port : _GPPortSettingsSerial, _GPPortSettingsUSB, CameraAbilities
- post_func : _CameraFunctions
- pre_func : _CameraFunctions

### - r -

- reserved1 : _CameraFunctions
- reserved2 : _CameraFunctions, CameraAbilities
- reserved3 : _CameraFunctions, CameraAbilities
- reserved4 : _CameraFunctions, CameraAbilities
- reserved5 : _CameraFunctions, CameraAbilities
- reserved6 : _CameraFunctions, CameraAbilities
- reserved7 : _CameraFunctions, CameraAbilities
- reserved8 : _CameraFunctions, CameraAbilities

### - s -

- serial : _GPPortSettings
- set_config : _CameraFunctions
- set_single_config : _CameraFunctions
- settings : _GPPort
- settings_pending : _GPPort
- size : _CameraFileInfoAudio, _CameraFileInfoFile, _CameraFileInfoPreview
- speed : _GPPortSettingsSerial, CameraAbilities
- status : _CameraFileInfoAudio, _CameraFileInfoFile, _CameraFileInfoPreview, CameraAbilities
- stopbits : _GPPortSettingsSerial
- summary : _CameraFunctions

### - t -

- text : CameraText
- timeout : _GPPort
- trigger_capture : _CameraFunctions
- type : _CameraFileInfoAudio, _CameraFileInfoFile, _CameraFileInfoPreview, _CameraStorageInformation, _GPPort, _GPPortInfo

### - u -

- usb : _GPPortSettings
- usb_class : CameraAbilities
- usb_product : CameraAbilities
- usb_protocol : CameraAbilities
- usb_subclass : CameraAbilities
- usb_vendor : CameraAbilities
- usbdiskdirect : _GPPortSettings
- usbscsi : _GPPortSettings

### - w -

- wait_for_event : _CameraFunctions
- width : _CameraFileInfoFile, _CameraFileInfoPreview